Page MenuHome

2.83.2 not opening a 2.82a project correctly
Closed, ResolvedPublic

Description

System Information
Operating system: Windows 10 x64
Graphics card: Nvidia GTX 1060 6Gb

Blender Version
Broken: 2.83.2
Worked: 2.82.a

Short description of error
I made some projects 2 months ago with Blender 2.82a.
I updated Blender to the 2.83.2 some days ago.
But today I opened this attached project and to my surprise, almost all objects were disappeared.

https://cdn.discordapp.com/attachments/506192854066921478/732995807963251241/unknown.png
https://cdn.discordapp.com/attachments/506192854066921478/732995829199274054/unknown.png

Investigating a little I found them in Blender File view.
https://cdn.discordapp.com/attachments/506192854066921478/732998416581525534/unknown.png

Trying to recover them, right-clicking on "Instance to scene" it crashes Blender 2.83.2:
https://cdn.discordapp.com/attachments/506192854066921478/732999958826844301/unknown.png

I just downloaded Blender 2.82a again (where I made the current project) and the project opens ok...
https://cdn.discordapp.com/attachments/506192854066921478/733002274938290206/unknown.png

Opening the file in 2.82a and saving it with a new name and opening in 2.83.2... the same problem happens...

Exact steps for others to reproduce the error

Open file with Blender 2.82a then with recent build

Event Timeline

Richard Antalik (ISS) changed the task status from Needs Triage to Confirmed.Jul 16 2020, 1:19 AM
Richard Antalik (ISS) updated the task description. (Show Details)
Bastien Montagne (mont29) triaged this task as High priority.Jul 20 2020, 3:45 PM
Bastien Montagne (mont29) edited projects, added BF Blender (2.90); removed BF Blender.

Note that data (collections) are still there, they are just not instanced/linked anymore in the view layer...

the problem is actually that your Cantos collection has an empty instancing that collection, this creates a very bad infinite loop. It used to be badly checked and somewhat not crashing in older versions, but this is now strictly forbidden, and seriously crashing in depsgraph evaluation when instanciated in a scene.

But even current master seems to not behave properly when instanciating this, will check further

Great, now I can fix this problem in my projects and back to 2.32.2.
Thanks for your attention!

the problem is actually that your Cantos collection has an empty instancing that collection, this creates a very bad infinite loop. It used to be badly checked and somewhat not crashing in older versions, but this is now strictly forbidden, and seriously crashing in depsgraph evaluation when instanciated in a scene.

But even current master seems to not behave properly when instanciating this, will check further

Please, could you show me how to find this "empty instancing" of Cantos collection? Where is it? Sorry, I'm a beginner and I couldn't find it.

Rogério Dec (rogeriodec) changed the task status from Resolved to Invalid.EditedAug 3 2020, 1:15 AM

I have to reopen this ticked:

the problem is actually that your Cantos collection has an empty instancing that collection, this creates a very bad infinite loop.

I tried to remove all objects of the name "Cantos" and save the project to a new file, then open it with 2.83.2, 2.83.3, 2.90.0, and 2.91.0 versions. No of them got to open the project correctly, nor was he able to open the original project for this ticket.

Marcin Twarowski (Tvaroog) changed the task status from Invalid to Resolved.Aug 20 2020, 6:48 PM